package com.bonus.hn.bearing.capacity.backstage.personnelPool.dao;

import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.ProjectBean;
import com.bonus.hn.bearing.capacity.backstage.manager.model.SysUser;
import com.bonus.hn.bearing.capacity.backstage.personnelPool.entity.SelfOwnedBean;
import com.bonus.hn.bearing.capacity.backstage.personnelPool.entity.SubcontractorBean;
import com.bonus.hn.bearing.capacity.backstage.personnelPool.entity.SubsidiaryCompanyBean;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.dao
 * 类名称：ProjectManagerDao
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
@Repository(value = "PersonnelPoolDao")
public interface PersonnelPoolDao {

    List<SubsidiaryCompanyBean> getSubsidiaryCompanyList(SubsidiaryCompanyBean bean);

    int updateSwitchListen(SubsidiaryCompanyBean bean);

    int delById(String id);

    int getIdCard(SubsidiaryCompanyBean bean);

    int addSubsidiaryCompany(SubsidiaryCompanyBean bean);

    int updateSubsidiaryCompany(SubsidiaryCompanyBean bean);

    List<SubcontractorBean> getSubcontractorList(SubcontractorBean bean);

    int updateSubcontractorSwitchListen(SubcontractorBean bean);

    int delSubcontractorById(String id);

    int getIdCards(SubcontractorBean bean);

    int addSubcontractor(SubcontractorBean bean);

    int updateSubcontractor(SubcontractorBean bean);

    List<SelfOwnedBean> getSelfOwnedList(SelfOwnedBean bean);

    int SelfOwnedSwitchListen(SelfOwnedBean bean);

    int delSelfOwnedById(String id);

    int getSelfOwnedIdCard(SelfOwnedBean bean);

    int addSelfOwned(SelfOwnedBean bean);

    List<SubsidiaryCompanyBean> getWorkRecordList(SubsidiaryCompanyBean bean);

    List<SubsidiaryCompanyBean> getWorkRecordLists(SubsidiaryCompanyBean bean);

    List<SelfOwnedBean> getSelfOwnedWorkRecordList(SelfOwnedBean bean);

    int updateSelfOwned(SelfOwnedBean bean);

    void importExcel(SubsidiaryCompanyBean vo);

    String OrgName(String trim);

    int getRepeat(SubsidiaryCompanyBean vo);

    void updataImportExcel(SubsidiaryCompanyBean vo);

    void addImportRecord(SubsidiaryCompanyBean bean);

    int getSubcontractIdCard(SubcontractorBean vo);

    void updataSubcontractImportExcel(SubcontractorBean vo);

    void addSubcontractimportExcel(SubcontractorBean vo);

    int getSelfOwnedRepeat(SelfOwnedBean vo);

    void updataSelfOwnedImportExcel(SelfOwnedBean vo);

    void addSelfOwnedimportExcel(SelfOwnedBean vo);

    String ToolsProcesName(String trim);

    int getRepeatNum(ProjectBean vo);

    List<SelfOwnedBean> getDerivedRecordList(SelfOwnedBean bean);

    ProjectBean getSurplusQuantity(String id);

    ProjectBean getIsExistThisDevice(ProjectBean bean);

    int getBindingOrNot(String id);
}
